/*------------------------------------------------------------------------------

	  PCBASICDefault.r	- Default Resource file for a PCBASIC program
	  
	  January 15, 1992

     Copyright  1984-1992 Pterodactyl Software

------------------------------------------------------------------------------*/

#include "Types.r"


resource 'SIZE' (-1) {
 dontSaveScreen,
 ignoreSuspendResumeEvents,
 enableOptionSwitch,
 canBackground,
 notMultiFinderAware,
 backgroundAndForeground,
 dontGetFrontClicks,
 ignoreChildDiedEvents,
 is32BitCompatible,
 reserved,
 reserved,
 reserved,
 reserved,
 reserved,
 reserved,
 reserved,
 500000,
 250000
};

resource 'STR ' (301) {
 "NEXT without FOR"
};
resource 'STR ' (302) {
 "Syntax error"
};
resource 'STR ' (303) {
 "RETURN without GOSUB"
};
resource 'STR ' (304) {
 "Out of DATA"
};
resource 'STR ' (305) {
 "Illegal function call"
};
resource 'STR ' (306) {
 "Overflow"
};
resource 'STR ' (307) {
 "Out of memory"
};
resource 'STR ' (309) {
 "Subscript out of range"
};
resource 'STR ' (310) {
 "Duplicate definition"
};
resource 'STR ' (311) {
 "Division by zero"
};
resource 'STR ' (313) {
 "Type mismatch"
};
resource 'STR ' (314) {
 "Out of string space"
};
resource 'STR ' (319) {
 "No RESUME"
};
resource 'STR ' (320) {
 "RESUME without error"
};
resource 'STR ' (326) {
 "FOR without NEXT"
};
resource 'STR ' (327) {
 "Out of paper"
};
resource 'STR ' (329) {
 "WHILE without WEND"
};
resource 'STR ' (330) {
 "WEND without WHILE"
};
resource 'STR ' (350) {
 "FIELD overflow"
};
resource 'STR ' (351) {
 "Internal error"
};
resource 'STR ' (352) {
 "Bad file number"
};
resource 'STR ' (353) {
 "File not found"
};
resource 'STR ' (354) {
 "Bad file mode"
};
resource 'STR ' (355) {
 "File already open"
};
resource 'STR ' (358) {
 "File already exists"
};
resource 'STR ' (361) {
 "Disk full"
};
resource 'STR ' (362) {
 "Input past end"
};
resource 'STR ' (363) {
 "Bad record number"
};
resource 'STR ' (364) {
 "Bad file name"
};
resource 'STR ' (367) {
 "Too many files"
};
resource 'STR ' (368) {
 "Device unavailable"
};
resource 'STR ' (369) {
 "Communications buffer overflow"
};
resource 'STR ' (370) {
 "Disk or file is Write Protected"
};
resource 'STR ' (373) {
 "Advanced Feature"
};
resource 'STR ' (374) {
 "Rename across disks"
};
resource 'STR ' (376) {
 "Path not found"
};
resource 'STR ' (385) {
 "QD-Graphics Heap Overflow"
};
resource 'STR ' (398) {
 "System Memory Management Error"
};
resource 'STR ' (399) {
 "System I/O Error"
};
resource 'STR ' (400) {
 "Message text not available"
};
data 'CFIG' (301) {
 $"0002 1000 1000 0280 0190 0028 001E 0010 0010 0010 0004 000C 000C FFFF"
};
data 'CFIG' (300) {
 $"0002 1000 1000 0280 0190 0028 001E 0010 0010 0010 0004 000C 000C FFFF"
};
resource 'CNTL' (300) {
 {20, 400, 220, 416},
 0,
 visible,
 12000,
 0,
 scrollBarProc,
 0,
 "vertical scroll bar"
};
resource 'CNTL' (400) {
 {200, 20, 216, 400},
 0,
 visible,
 12000,
 0,
 scrollBarProc,
 0,
 "horizontal scroll bar"
};
resource 'WIND' (300, preload) {
 {40, 10, 325, 500},
 zoomDocProc,
 visible,
 goAway,
 0x8,
 "PCBASIC"
};
resource 'MENU' (1, preload) {
 1,
 textMenuProc,
 0x7FFFFFFD,
 enabled,
 apple,
 {
  "About this program", noIcon, "", "", plain,
  "-", noIcon, "", "", plain
 }
};
resource 'MENU' (302, preload) {
 302,
 textMenuProc,
 allEnabled,
 enabled,
 "File",
 {
  "Quit", noIcon, "", "", plain
 }
};
resource 'MENU' (301, preload) {
 301,
 textMenuProc,
 0x7FFFFFFD,
 enabled,
 "Edit",
 {
  "Undo ", noIcon, "Z", "", plain,
  "-", noIcon, "", "", plain,
  "Cut ", noIcon, "X", "", plain,
  "Copy ", noIcon, "C", "", plain,
  "Paste ", noIcon, "V", "", plain,
  "Clear", noIcon, "", "", plain
 }
};
resource 'MENU' (304, preload) {
 304,
 textMenuProc,
 allEnabled,
 enabled,
 "Function Keys",
 {
  "Function Key  1", noIcon, "1", "", plain,
  "Function Key  2", noIcon, "2", "", plain,
  "Function Key  3", noIcon, "3", "", plain,
  "Function Key  4", noIcon, "4", "", plain,
  "Function Key  5", noIcon, "5", "", plain,
  "Function Key  6", noIcon, "6", "", plain,
  "Function Key  7", noIcon, "7", "", plain,
  "Function Key  8", noIcon, "8", "", plain,
  "Function Key  9", noIcon, "9", "", plain,
  "Function Key 10", noIcon, "0", "", plain
 }
};

resource 'ALRT' (301, purgeable) {
 {100, 15, 210, 345},
 301,
 {
  OK, visible, sound3,
  OK, visible, sound2,
  OK, visible, sound1,
  OK, visible, sound1
 }
};
resource 'ALRT' (400, purgeable) {
 {50, 10, 150, 420},
 400,
 {
  Cancel, visible, sound3,
  Cancel, visible, sound3,
  Cancel, visible, sound3,
  Cancel, visible, sound3
 }
};
resource 'DLOG' (302, purgeable) {
 {100, 15, 180, 345},
 dBoxProc,
 visible,
 noGoAway,
 0x0,
 302,
 ""
};
resource 'DLOG' (300, purgeable) {
	{50, 35, 300, 470},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	300,
	""
};
resource 'DITL' (302, purgeable) {
 {
  {50, 175, 65, 190},
  CheckBox {
   enabled,
   ""
  },
  {50, 200, 65, 330},
  StaticText {
   disabled,
   "Quit"
  },
  {50, 10, 65, 25},
  CheckBox {
   enabled,
   ""
  },
  {50, 35, 65, 165},
  StaticText {
   disabled,
   "Continue"
  },
  {10, 10, 30, 400},
  StaticText {
   disabled,
   "Program interrupted in line number ^1"
  }
 }
};
resource 'DITL' (400, purgeable) {
 {
  {10, 100, 30, 400},
  StaticText {
   disabled,
   "Fatal program error"
  },
  {75, 330, 92, 400},
  Button {
   enabled,
   "Restart"
  },
  {40, 10, 55, 400},
  StaticText {
   disabled,
   "Error ^0 in Line Number ^1"
  },
  {55, 10, 70, 400},
  StaticText {
   disabled,
   "^2"
  }
 }
};
resource 'DITL' (301, purgeable) {
 {
  {80, 200, 97, 310},
  Button {
   enabled,
   "I'm sorry !"
  },
  {30, 70, 50, 455},
  StaticText {
   disabled,
   "Invalid input in line number ^1"
  },
  {50, 25, 70, 455},
  StaticText {
   disabled,
   "Please start over from the beginning."
  }
 }
};


resource 'DITL' (300, purgeable) {
	{	/* array DITLarray: 5 elements */
		/* [1] */
		{30, 25, 50, 455},
		StaticText {
			disabled,
			"About this program "
		},
		/* [2] */
		{50, 25, 90, 455},
		StaticText {
			disabled,
			"This program was compiled by PCBASIC,\$0D"
			"the shareware BASIC compiler from Pterodactyl Software!"
		},
		/* [3] */
		{90, 25, 220, 455},
		StaticText {
			disabled,
			" To get your PCBASIC compiler contact\$0D\$0D"
            "           Pterodactyl Software\$0D"
            "    	     c/o Harland Harrison\$0D"
            "           200 Davey Glen  Apt 416\$0D"
            "           Belmont CA 94002\$0D"
            "           (415) 491- 5270"
		},
		/* [4] */
		{4090, 25, 4110, 455},
		StaticText {
			disabled,
			" 0"
		},
		/* [5] */
		{220, 360, 237, 410},
		Button {
			enabled,
			"OK"
		}
	}
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'DOCM',
	1,
	""
};

resource 'BNDL' (128) {
	'DEMO',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};


resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0100 0000 0080 0000 0040 0000 0060 0000 0030 0000 0038 0000 001C 0000 001E 0000"
		$"001F 0000 000F 8000 000F D800 000F D3FC 000F E0FF 000F E1C0 000F F270 001F F618"
		$"001F FC00 003F F000 003F F000 00FF E000 01FF E000 07BF C000 FC3F 8000 F07F 8000"
		$"C07F 4000 00FE 6000 00F8 0000 01F0 0000 03C0 0000 0780 0000 3E00 0000 F8",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0C64 48C0 0A96 D520 0A85 5500 0C84 5D00 0894 5520 0864 54C0 0000 0000 0E31 DCC0"
		$"094A 0920 0E79 8900 0948 4920 0E4B 9CC0 0000 0000 6245 9476 956D 5445 8555 9466"
		$"9545 1445 6245 1775 0000 0000 0000 0000 CED8 9898 A495 5550 C4D9 55D3 8495 5550"
		$"84D4 9958 0000 0000 0075 4000 0025 4000 0022 4000 0022 4000 0022 60",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};
