/*------------------------------------------------------------------------------
   PCDemo.r - Resource File For PCDemo

     MPW Rez format

    You can order the PCBASIC Manual for $50 from:
    
          Pterodactyl Software
          c/o  Harland Harrison
          200 Davey Glen Rd #416
          Belmont CA  94002
           (415) 591-5270
Copyright   1990-1992 Pterodactyl Software

   All rights reserved.

    January 3, 1992
------------------------------------------------------------------------------*/
#include "Types.r"


type 'DEMO' as 'STR ';
resource 'DEMO' (0) {
	"PCBASIC Demo  Version 1.7  January 3, 1992"
};

resource 'MENU' (1, preload) {
	1,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About Demo", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (302, preload) {
	302,
	textMenuProc,
	allEnabled,
	enabled,
	"Order",
	{	/* array: 3 elements */
		/* [1] */
		"Send a Manual", 1, noKey, noMark, plain,
		/* [2] */
		"Send Shareware", noIcon, noKey, noMark, plain,
		/* [3] */
		"Quit", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (301, preload) {
 301,
 textMenuProc,
 0x7FFFFFFD,
 enabled,
 "Edit",
 {
  "Undo ", noIcon, "Z", "", plain,
  "-", noIcon, "", "", plain,
  "Cut ", noIcon, "X", "", plain,
  "Copy ", noIcon, "C", "", plain,
  "Paste ", noIcon, "V", "", plain,
  "Clear", noIcon, "", "", plain
 }
};

resource 'MENU' (303, preload) {
	303,
	textMenuProc,
	allEnabled,
	enabled,
	"Help",
	{	/* array: 4 elements */
		/* [1] */
		"Using the Demo", noIcon, "H", noMark, plain,
		/* [2] */
		"Help with program", noIcon, noKey, noMark, plain,
		/* [3] */
		"How to order", noIcon, noKey, noMark, plain,
		/* [4] */
		"Help with help boxes", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (304, preload) {
	304,
	textMenuProc,
	allEnabled,
	enabled,
	"Features",
	{	/* array: 7 elements */
		/* [1] */
		"International", noIcon, noKey, noMark, plain,
		/* [2] */
		"IBM Compatible", noIcon, noKey, noMark, plain,
		/* [3] */
		"Menus and Function Keys", noIcon, noKey, noMark, plain,
		/* [4] */
		"Dialog and Alert Boxes", noIcon, noKey, noMark, plain,
		/* [5] */
		"Mouse and Editing", noIcon, noKey, noMark, plain,
		/* [6] */
		"Large Programs and Data", noIcon, noKey, noMark, plain,
		/* [7] */
		"Industrial Strength", noIcon, noKey, noMark, plain
	}
};




resource 'DITL' (303, purgeable) {
	{	/* array DITLarray: 8 elements */
		/* [1] */
		{10, 25, 30, 455},
		StaticText {
			disabled,
			"Subject for Help Menu item text"
		},
		/* [2] */
		{40, 25, 60, 455},
		StaticText {
			disabled,
			"^0"
		},
		/* [3] */
		{60, 25, 80, 455},
		StaticText {
			disabled,
			"^1"
		},
		/* [4] */
		{80, 25, 100, 455},
		StaticText {
			disabled,
			"^2"
		},
		/* [5] */
		{100, 25, 120, 455},
		StaticText {
			disabled,
			"^3"
		},
		/* [6] */
		{140, 360, 157, 410},
		Button {
			enabled,
			"QUIT"
		},
		/* [7] */
		{140, 215, 157, 265},
		Button {
			enabled,
			"NEXT"
		},
		/* [8] */
		{140, 70, 157, 120},
		Button {
			enabled,
			"BACK"
		}
	}
};

resource 'DITL' (501, purgeable) {
	{	/* array DITLarray: 18 elements */
		/* [1] */
		{20, 175, 40, 455},
		StaticText {
			disabled,
			"PCBASIC by Pterodactyl Software"
		},
		/* [2] */
		{60, 125, 80, 455},
		EditText {
			disabled,
			" "
		},
		/* [3] */
		{85, 125, 105, 455},
		EditText {
			disabled,
			" "
		},
		/* [4] */
		{110, 125, 130, 455},
		EditText {
			disabled,
			" "
		},
		/* [5] */
		{135, 125, 155, 455},
		EditText {
			disabled,
			" "
		},
		/* [6] */
		{160, 125, 180, 275},
		EditText {
			disabled,
			" "
		},
		/* [7] */
		{190, 25, 210, 200},
		CheckBox {
			enabled,
			"Stand Alone"
		},
		/* [8] */
		{210, 25, 230, 200},
		CheckBox {
			enabled,
			"MPW"
		},
		/* [9] */
		{190, 200, 210, 450},
		RadioButton {
			enabled,
			"Send me a Manual ($50) "
		},
		/* [10] */
		{210, 200, 230, 450},
		RadioButton {
			enabled,
			"Send me a trial disk (free)"
		},
		/* [11] */
		{230, 360, 247, 410},
		Button {
			enabled,
			"Print"
		},
		/* [12] */
		{230, 215, 247, 265},
		Button {
			enabled,
			"Save"
		},
		/* [13] */
		{230, 70, 247, 120},
		Button {
			enabled,
			"Cancel"
		},
		/* [14] */
		{60, 25, 80, 120},
		StaticText {
			disabled,
			"Name"
		},
		/* [15] */
		{85, 25, 105, 120},
		StaticText {
			disabled,
			"Company"
		},
		/* [16] */
		{110, 25, 130, 120},
		StaticText {
			disabled,
			"Street"
		},
		/* [17] */
		{135, 25, 155, 120},
		StaticText {
			disabled,
			"City"
		},
		/* [18] */
		{160, 25, 180, 120},
		StaticText {
			disabled,
			"Telephone"
		},
		/* [19] */
		{12, 25, 44, 57},
		Icon {
			enabled,
			257
		}
	}
};

resource 'DITL' (650, purgeable) {
	{	/* array DITLarray: 9 elements */
		/* [1] */
		{160, 25, 177, 75},
		Button {
			enabled,
			"Step"
		},
		/* [2] */
		{160, 170, 177, 220},
		Button {
			enabled,
			"G0"
		},
		/* [3] */
		{160, 315, 177, 365},
		Button {
			enabled,
			"Quit"
		},
		/* [4] */
		{20, 100, 40, 455},
		StaticText {
			disabled,
			"PCBASIC Demo Debugger"
		},
		/* [5] */
		{120, 25, 140, 190},
		StaticText {
			disabled,
			"Stop at "
		},
		/* [6] */
		{120, 200, 140, 340},
		EditText {
			disabled,
			"0"
		},
		/* [7] */
		{95, 25, 115, 380},
		StaticText {
			disabled,
			"Line #"
		},
		/* [8] */
		{50, 25, 70, 380},
		StaticText {
			disabled,
			"a Variable"
		},
		/* [9] */
		{70, 25, 90, 380},
		StaticText {
			disabled,
			"a Variable"
		}
	}
};


resource 'DLOG' (303, purgeable) {
	{90, 15, 260, 495},
	dBoxProc,
	-1,
	noGoAway,
	0x0,
	303,
	""
};

resource 'DLOG' (501, purgeable) {
	{45, 15, 300, 495},
	dBoxProc,
	-1,
	noGoAway,
	0x0,
	501,
	""
};

resource 'DLOG' (650, purgeable) {
	{100, 60, 280, 450},
	dBoxProc,
	-1,
	noGoAway,
	0x0,
	650,
	""
};


resource 'WIND' (300, preload) {
	{40, 10, 325, 500},
	zoomDocProc,
	-1,
	noGoAway,
	0x0,
	"PCBASIC Demo"
};


resource 'CURS' (300, preload) {
	$"0180 1A70 2648 264A 124D 1249 6809 9801 8802 4002 2002 2004 1004 0808 0408 0408",
	$"",
	{8, 8}
};

resource 'ICON' (257) {
	$"0100 0000 0080 0000 0040 0000 0060 0000 0030 0000 0038 0000 001C 0000 001E 0000"
	$"001F 0000 000F 8000 000F D800 000F D3FC 000F E0FF 000F E1C0 000F F270 001F F618"
	$"001F FC00 003F F000 003F F000 00FF E000 01FF E000 07BF C000 FC3F 8000 F07F 8000"
	$"C07F 4000 00FE 6000 00F8 0000 01F0 0000 03C0 0000 0780 0000 3E00 0000 F8"
};

resource 'ICN#' (128) {
	{	/* array: 2 elements */
		/* [1] */
		$"0100 0000 0080 0000 0040 0000 0060 0000 0030 0000 0038 0000 001C 0000 001E 0000"
		$"001F 0000 000F 8000 000F D800 000F D3FC 000F E0FF 000F E1C0 000F F270 001F F618"
		$"001F FC00 003F F000 003F F000 00FF E000 01FF E000 07BF C000 FC3F 8000 F07F 8000"
		$"C07F 4000 00FE 6000 00F8 0000 01F0 0000 03C0 0000 0780 0000 3E00 0000 F8",
		/* [2] */
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
		$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	}
};

resource 'ICN#' (129) {
	{	/* array: 2 elements */
		/* [1] */
		$"0107 3A26 0084 A369 0044 BAA9 0064 A229"
		$"0037 3A26 0038 0000 001C 0000 000E 0000"
		$"000F 0000 000F 8000 000F D800 000F D3FC"
		$"000F E0FF 000F E1C0 000F F270 001F F618"
		$"001F FC00 003F F000 003F F000 00FF E000"
		$"01FF E000 07BF C000 FC3F 8000 F07F 8000"
		$"C07F 4000 00FE 6000 00F8 0000 01F0 0000"
		$"03C0 0000 0780 0000 3E00 0000 F8",
		/* [2] */
		$"07C7 FFFF 07E7 FFFF 07F7 FFFF 03F7 FFFF"
		$"01FF FFFF 00FF FFFF 00FE 0000 007F 0000"
		$"007F 8000 007F FFFE 007F FFFF 003F FFFF"
		$"003F FFFF 003F FFFF 003F FFFC 003F FFFE"
		$"007F FFFE 007F FF00 00FF FC00 03FF FC00"
		$"FFFF F800 FFFF F000 FFFF E000 FFFF E000"
		$"F9FF E000 E1FF F000 03FF F000 07FC 0000"
		$"0FFC 0000 FFF8 0000 FF80 0000 FF"
	}
};

resource 'STR#' (303, purgeable) {
	{	/* Help strings */

		/*  panel 1 : Using DEMO... */
	"Select the items you would like to know about from",
	"the FEATURES menu. Use the ORDER menu to add a",
	"name to the mailing list file. Examine the",
	"BASIC source of this program. It is very short.",

		/* panel 2 : Help with program... */
	"Pterodactyl Software can help you get your application",
	"running quickly ! Order our manual for $50. If your",
	"staff is too busy, you can hire a Pterodactyl programmer",
	"as a consultant at convenient fixed or hourly rates!",

		/*  panel 3 : How to order... */
	"Order the PCBASIC manual from Pterodactyl Software",
	"               200 Davey Glen Rd #416",
	"               Belmont CA 94002",
	"          phone:	 (415) 591-5270",

		/*  panel 4 : Help with help boxes */
	"Its easy to create Help boxes like these with PCBASIC.",
	"First put the subject titles in Menu 303. Then put text",
	"for each subject, up to about 1K in String list 303.",
	"If you don't need Help boxes, just delete Menu 303."
	}
};

resource 'STR#' (501, purgeable) {
	{	/* array StringArray: 18 elements */
		/* [1] */
		"    PCBASIC programs can be written for easy",
		/* [2] */
		"translation into foreign languages. The menus, dialogs",
		/* [3] */
		"and titles can all be defined in the resource file. Even",
		/* [4] */
		"text messages, like these, can be put in the resource",
		/* [5] */
		"file as string lists, such as this :",
		/* [6] */
		"",
		/* [7] */

        "resource 'STR#' (505, purgeable) "
		/* [8] */
		"   {",
		/* [9] */
		"\"     PCBASIC programs can be written for easy\",",
		/* [10] */
		"\"     translation into foreign languages.\"",
		/* [11] */
		"}",
		/* [12] */
		"The strings are used in BASIC like DATA statements :",
		/* [13] */
		"",
		/* [14] */
		"\t      RESTORE #501",
		/* [15] */
		"\t      READ Msg$1,Msg$2,Msg$3,Msg$4",
		/* [16] */
		"\t      ? Msg$1 : ? Msg$2 : ? Msg$3 : ? Msg$4",
		/* [17] */
		"",
		/* [18] */
		"END"
	}
};

resource 'STR#' (502, purgeable) {
	{	/* array StringArray: 16 elements */
"    PCBASIC makes converting IBM PC programs",
"to Macintosh programs simple. PCBASIC is compatible",
"with BASICA, the BASIC used on the IBM PC. Special",
"Macintosh features like dialog boxes and windows, can be",
"added in the resource file. Most special IBM functions,",
"translate automatically into Macintosh features. The IBM",
"function keys become menu items. The multiple screen pages",
"available on some adapters, become multiple windows",
"on the Macintosh. The programs can even read back the text",
"written on the screen in PCBASIC, as in BASICA.",
"",
"IBM is a trademark of Internation Business Machines Inc.",
"Macintosh is a trademark of Apple Computer Inc.",
"END"
	}
};

resource 'STR#' (503, purgeable) {
	{	/* array StringArray: 18 elements */
		/* [1] */
		"    In PCBASIC, the menus are created from resources.",
		/* [2] */
		"Other BASIC implementations use BASIC statements to create",
		/* [3] */
		"every item of every menu. With PCBASIC, the menus are",
		/* [4] */
		"defined with a resource compiler or editor. Of course the",
		/* [5] */
		"program can change any menu item with BASIC statements. The",
		/* [6] */
		"menu items can be enabled, disabled, inhibited, or marked",
		/* [7] */
		"with a check mark or any other character.",
		/* [8] */
		"",
		/* [9] */
		"    PCBASIC can compile many programs written for the",
		/* [10] */
		"IBM PC or compatibles. Those programs may use the function",
		/* [11] */
		"keys on those machines. BASICA statements such as these,",
		/* [12] */
		"",
		/* [13] */
		"\t  KEY (1) ON : ON KEY(1) GOSUB 100",
		/* [14] */
		"",
		/* [15] */
		"are compiled without change. The function keys become menu",
		/* [16] */
		"items. They can be grouped into any number of menus, which",
		/* [17] */
		"can be arranged in any order on the menu bar.",
		/* [18] */
		"END"
	}
};

resource 'STR#' (504, purgeable) {
	{	/* array StringArray: 18 elements */
		"    Dialogs and alert boxes are easy to create with",
		"PCBASIC. One BASIC statement will show the operator",
		"a Modal Dialog or an Alert, wait for the operator to make",
		"a selection or edit text, and return when the operator",
		"pushes a button. It is as simple as this:",
		"",
		"\t  REM Display alert box 500 as a Stop Alert.",
		"\t  REM The number of the button the operator",
		"\t  REM pressed will be in CHOICE%.",
		"\t  100 CHOICE%=ERROR(501,STOP)",
		"",
		"\t  REM Display dialog 500. Wait for a reply. The",
		"\t  REM button number will be in CHOICE%.",
		"\t  CHOICE%=DIALOG#500",
		"",
		"\t  REM Remove the box. The blank spot on the window",
		"\t  REM beneath the box will be drawn again, automaticaly",
		"\t    CLOSE#500",
		"END"
	}
};

resource 'STR#' (505, purgeable) {
	{	/* array StringArray: 17 elements */
"   PCBASIC handles the mouse activity for the system, menus,",
"dialog boxes and scroll bars. The BASIC programmer only has",
"to take care of clicks within the main windows. PCBASIC can",
"even vector to a line number as soon as the mouse is clicked",
"in the active window.",
" ",
"    The special Edit menu simplifies editing. It takes care of",
"'Cut', 'Copy' and 'Paste' for your dialog boxes automatically.",
"But you can handle the Edit menu selections for the active",
"window yourself. The Edit menu can vector to a BASIC line, or",
"you can poll for menu selections whenever you are ready.",
" ",
"    PCBASIC has powerful mouse sensing commands, to make your",
"job still easier. Your BASIC program can detect a single click",
"or a multiple click with one MOUSE function call. Other calls",
"return the starting, ending and current locations of the mouse.",
"The functions can return either graphic coordinates or the line",
"and column location for editing text! That makes highlighting",
"selected text simple, even when using a proportional font.",
		"END"
	}
};

resource 'STR#' (506, purgeable) {
	{	/* array StringArray: 16 elements */
"    PCBASIC compiles large programs and systems containing",
"many programs. You can divide large programs into segments",
"with one simple command. These segments will be read in from",
"the disk when they are needed. They will be discarded when",
"memory space is short. This happens automatically, without",
"any effort by the BASIC programmer.",
"",
"    Many small programs can be compiled together as a package.",
"These programs can all be in memory at the same time. When one",
"program calls another program in the package, the code will not",
"have to be read from the disk.",
"",
"    Programs with large data spaces are handled easily too.",
"Arrays are dynamic. They can be erased and created again, with a",
"different size, while the program is running. Large arrays are",
"relocatable blocks. The move around in memory to reuse space.",
"END"
	}
};

resource 'STR#' (507, purgeable) {
	{	
"    PCBASIC is an 'Industrial Strength' programming language.",
"This means all the features of the Macintosh are accessible from",
"PCBASIC. The important features, such as dialogs, windows,",
"scroll bars, menus,  and alert boxes are all part of the extended",
"BASIC language. All of the other features in the ROM and Operating",
"System, can be called from BASIC. Special BASIC statements can",
"access any of the ToolBox and QuickDraw routines. Even register",
"based calls, and calls that return function values can be used.",
"Pascal or Assembler code can be linked to PCBASIC programs,",
"or short segments of 68000 Assembly language can actually be ",
"imbedded within the BASIC code.",
"END"
	}
};


resource 'STR#' (508, purgeable) {
	{	
" PCBASIC is a BASIC compiler from Pterodactyl Software.",
"  ",
" There are two versions on the shareware disk:",
"  ",
"   PCBASIC MPW is a 'tool' which runs under MPW.",
"   PCBASIC STA is a standalone compiler.",
"  ",
" This program demonstrates a few of PCBASIC's features.",
"  ",
"    To get your copy of PCBASIC contact ",
" ",
"          Harland Harrison   ",
"          Pterodactyl Software    ",
"          200 Davey Glen Rd #416  ",
"          Belmont CA  94002       ",
"           (415) 591-5270         ",
"END"
	}
};


data 'CFIG' (301) {
	$"0002 1000 1000 0280 0190 0028 001E 0010 0010 0010 0000 000C 000C FFFF"                              /* .........(................ */
};

data 'CFIG' (300) {
	$"0002 1000 1000 0280 0190 0028 001E 0010 0010 0010 0000 000C 000C FFFF"                              /* .........(................ */
};

resource 'FREF' (128) {
	'APPL',
	0,
	""
};

resource 'FREF' (129) {
	'TEXT',
	1,
	""
};

resource 'BNDL' (128) {
	'DEMO',
	0,
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ICN#',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		},
		/* [2] */
		'FREF',
		{	/* array IDArray: 2 elements */
			/* [1] */
			0, 128,
			/* [2] */
			1, 129
		}
	}
};

